org.apache.lucene.codecs.lucene41

## Class Lucene41RWCodec

- java.lang.Object
- - org.apache.lucene.codecs.Codec
  - - org.apache.lucene.codecs.lucene41.Lucene41Codec
    - - org.apache.lucene.codecs.lucene41.Lucene41RWCodec

All Implemented Interfaces:
  NamedSPILoader.NamedSPI

    public class Lucene41RWCodec
    extends Lucene41Codec

Read-write version of `Lucene41Codec` for testing.

### Constructor Summary

Constructors
Constructor and Description
`Lucene41RWCodec()`

### Method Summary

Methods
`DocValuesFormat` `docValuesFormat()`
`FieldInfosFormat` `fieldInfosFormat()`
`NormsFormat` `normsFormat()`
`StoredFieldsFormat` `storedFieldsFormat()`

### Methods inherited from class org.apache.lucene.codecs.lucene41.Lucene41Codec

`getPostingsFormatForField, liveDocsFormat, postingsFormat, segmentInfoFormat, termVectorsFormat`

### Methods inherited from class org.apache.lucene.codecs.Codec

`availableCodecs, forName, getDefault, getName, reloadCodecs, setDefault, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Lucene41RWCodec

    public Lucene41RWCodec()

### Method Detail

#### fieldInfosFormat

    public FieldInfosFormat fieldInfosFormat()

Overrides:
  `fieldInfosFormat` in class `Lucene41Codec`

#### storedFieldsFormat

    public StoredFieldsFormat storedFieldsFormat()

Overrides:
  `storedFieldsFormat` in class `Lucene41Codec`

#### docValuesFormat

    public DocValuesFormat docValuesFormat()

Overrides:
  `docValuesFormat` in class `Lucene41Codec`

#### normsFormat

    public NormsFormat normsFormat()

Overrides:
  `normsFormat` in class `Lucene41Codec`